# TODO:	use system-wide QCustomPlot and QHexEdit
Summary:	DB Browser for SQLite
Name:		sqlitebrowser
Version:	3.11.2
Release:	1
License:	MPLv2/GPLv3
Group:		Applications/Databases/Interfaces
Source0:	https://github.com/sqlitebrowser/sqlitebrowser/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	9991541d1f93ebcd7769ac8e15475c71
Patch0:		system-libs.patch
URL:		http://sqlitebrowser.org/
BuildRequires:	Qt5Concurrent-devel
BuildRequires:	Qt5Gui-devel
BuildRequires:	Qt5Network-devel
BuildRequires:	Qt5PrintSupport-devel
BuildRequires:	Qt5Test-devel
BuildRequires:	Qt5Widgets-devel
BuildRequires:	Qt5Xml-devel
BuildRequires:	antlr
BuildRequires:	cmake >= 2.8.7
BuildRequires:	qscintilla2-qt5-devel
BuildRequires:	qt5-build
BuildRequires:	qt5-linguist
BuildRequires:	rpmbuild(macros) >= 1.596
BuildRequires:	sqlite3-devel
Requires:	desktop-file-utils
Requires:	gtk-update-icon-cache
Requires:	hicolor-icon-theme
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SQLite Database Browser is a freeware, public domain, open source
visual tool used to create, design and edit database files compatible
with SQLite. It is meant to be used for users and developers that want
to create databases, edit and search data using a familiarspreadsheet-
-like interface, without the need to learn complicated SQL commands.

%prep
%setup -q
%patch0 -p1

%{__rm} -r libs/{antlr-*,qscintilla}

%build
mkdir build
cd build
%cmake ../ \
	-DBUILD_SHARED_LIBS:BOOL=OFF \
	-DQT_INCLUDE_DIR:PATH=%{_includedir}/qt5
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database
%update_icon_cache hicolor

%postun
%update_desktop_database
%update_icon_cache hicolor

%files
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_bindir}/%{name}
%{_desktopdir}/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/appdata/sqlitebrowser.desktop.appdata.xml
%changelog
* Mon Sep 16 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/sqlitebrowser.git;a=log;h=master

* Mon Sep 16 2019 Jan Rękorajski <baggins@pld-linux.org> b22885d
- up to 3.11.2
- really build with system libs
- qt5 project now

* Sat Nov 21 2015 Jan Rękorajski <baggins@pld-linux.org> b73f49c
- release 6 (by relup.sh)

* Sun Oct 04 2015 Elan Ruusamäe <glen@delfi.ee> b591363
- update desktop and icons database

* Sun Oct 04 2015 Elan Ruusamäe <glen@delfi.ee> ba673c2
- package appdata (desktop stuff)

* Sun Oct 04 2015 Elan Ruusamäe <glen@delfi.ee> 4328765
- simplify

* Sat Oct 03 2015 Jan Rękorajski <baggins@pld-linux.org> 65b653f
- disable shared libs (build internal "libs" static)
- rel 5

* Tue Sep 15 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 4314e4f
- python 3.5 rebuild
- release 4 (by relup.sh)

* Mon Sep 14 2015 Elan Ruusamäe <glen@delfi.ee> 44a14e0
- release 3 (by relup.sh)

* Sat Sep 12 2015 Jan Rękorajski <baggins@pld-linux.org> d2b6498
- release 2 (by relup.sh)

* Fri Sep 11 2015 Elan Ruusamäe <glen@delfi.ee> 2559096
- update BR

* Thu Sep 10 2015 Tomasz Pala <gotar@pld-linux.org> 05cb391
- clean up leftovers

* Thu Sep 10 2015 Tomasz Pala <gotar@pld-linux.org> 4c05495
- proper Qt4 Rs

* Thu Sep 10 2015 Tomasz Pala <gotar@pld-linux.org> 62931a3
- upgraded to 3.7.0

* Sat Jul 04 2009 Tomasz Pala <gotar@pld-linux.org> 77a51d2
- yhhh, SedEstDumb

* Sat Jul 04 2009 Tomasz Pala <gotar@pld-linux.org> 6f23bcc
- possible fix for glibc 2.10

* Fri Jul 03 2009 Tomasz Pala <gotar@pld-linux.org> d2c5b9e
- initial PLD release

